Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQStoredDrag Class Reference

The TQStoredDrag class provides a simple stored-value drag object for arbitrary MIME data. More...

`#include <ntqdragobject.h>`

Inherits TQDragObject.

Inherited by TQUriDrag and TQColorDrag.

List of all member functions.

## Public Members

- TQStoredDrag ( const char * mimeType, TQWidget * dragSource = 0, const char * name = 0 )
- ~TQStoredDrag ()
- virtual void setEncodedData ( const TQByteArray & encodedData )
- virtual TQByteArray encodedData ( const char * m ) const

## Detailed Description

The TQStoredDrag class provides a simple stored-value drag object for arbitrary MIME data.

When a block of data has only one representation, you can use a TQStoredDrag to hold it.

For more information about drag and drop, see the TQDragObject class and the drag and drop documentation.

See also Drag And Drop Classes.

## Member Function Documentation

### TQStoredDrag::TQStoredDrag ( const char * mimeType, TQWidget * dragSource = 0, const char * name = 0 )

Constructs a TQStoredDrag. The dragSource and name are passed to the TQDragObject constructor, and the format is set to mimeType.

The data will be unset. Use setEncodedData() to set it.

### TQStoredDrag::~TQStoredDrag ()

Destroys the drag object and frees up all allocated resources.

### TQByteArray TQStoredDrag::encodedData ( const char * m ) const`[virtual]`

Returns the stored data. m contains the data's format.

See also setEncodedData().

Reimplemented from TQMimeSource.

### void TQStoredDrag::setEncodedData ( const TQByteArray & encodedData )`[virtual]`

Sets the encoded data of this drag object to encodedData. The encoded data is what's delivered to the drop sites. It must be in a strictly defined and portable format.

The drag object can't be dropped (by the user) until this function has been called.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.